@echo off
:: Conversion de fichiers images au format eps compressé.
:: Nécessite l'installation de :
:: 	- ImageMagick https://www.imagemagick.org/script/download.php
::	- GhostScript https://sourceforge.net/projects/portableapps/files/Ghostscript%20Portable/
:: @param %1 Chemin du fichier image à convertir en eps
:: @return Fichier au format EPS nommé %1.eps
:: @usage convert_eps.bat [NomDuFichierAConvertir]
:: @warning Ne fonctionne pas avec les chemins comportant des espaces
:: @author David Dorchies
:: @date Juin 2017

:: Chemin du logiciel ImageMagick
SET IM_PATH=C:\DocDD\OnCld\Apps\ImageMagick
:: Chemin du logiciel GhostScript (gswin32.exe)
SET GS_PATH=C:\DocDD\OnCld\Apps\USBTeX-1.7\programs\gs9.02\bin
:: Mise à jour du PATH pour que ImageMagick trouve GhostScript 
SET PATH=%PATH%;%GS_PATH%;

"%IM_PATH%\convert" "%1" -compress lzw eps2:"%1.eps"
